package com.prize.ext.res;

import java.io.Serializable;
/***
 * 锁屏信息实体
 * @author fanjunchen
 *
 */
public class LockConfigBean implements Serializable {
	/**默认锁屏类型  IOS滑动解锁*/
	public static final int DEFAULT_LOCK_TYPE = 1;
	/**圆圈锁屏类型 */
	public static final int CIRCLE_LOCK_TYPE = 2;
	/**放飞锁屏类型*/
	public static final int FLY_LOCK_TYPE = 3;
	/**流行色锁屏类型*/
	public static final int COLOR_LOCK_TYPE = 4;
	/**眨眼锁屏类型 */
	public static final int CLOSE_LOCK_TYPE = 5;
	/**拉链锁屏类型 */
	public static final int LINK_LOCK_TYPE = 6;
	
	
	private static final long serialVersionUID = 1L;
	/**时间字体大小 单位SP*/
	public int timeSz;
	/**日期字体大小 单位SP*/
	public int dateSz;
	/**时间字体颜色 单位RGB | ARGB*/
	public String timeColor;
	/**日期字体颜色 单位RGB | ARGB*/
	public String dateColor;
	/**时间控件起始位置*/
	public int timeX;
	/**时间控件起始位置*/
	public int timeY;
	/**日期控件起始位置*/
	public int dateX;
	/**日期控件起始位置*/
	public int dateY;
	/**锁屏类型**/
	public int lockType;
	/**解锁方向**/
	public int direct;
	/**滑动提示*/
	public String hint;
	/**包名**/
	public String pkgName;
}
